<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Saerch Array = { Object }</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <span id="txtTitle">Test</span>
    <button id="btnTest">Test</button>
    <div id="console" class="console">
    </div>
    <script>
        $(function() {
            var $console = $('#console');
            var initPageView = function() {
                initStep01();
            }
            var initStep01 = function(){
                var view = initEvent();
                view.setTitle("RwR.");
            }

            var initEvent = function() {
                $txtTitle = $('#txtTitle');
                $btnTest = $('#btnTest');

                $btnTest.off('click').on('click', function() {
                    $console.text('button click');
                })
                
                var even = {
                    setTitle : function(text){
                        $txtTitle.text(text);
                    }
                }
                
                return even;
            }

            initPageView();

        });

    </script>
</body>

</html>
